| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryRateAreaRequest Class Reference
Rate Area

Query Rate Area request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__int | Group
| Numeric identifier of the rate area group. More...
xsd__string | Name
| Rate Area Name. More...
xsd__string | NpaNxx
xsd__string | SlhrName
xsd__int | PointCode
enum unsp__NodeVariant | NodeVariant
xsd__string | Lata
xsd__string | LocalTollName
| Name of associated Local Toll. More...
enum unsp__QueryRateAreaType * | QueryRateAreaType
| Query type. More...
enum unsp__RateAreaSortType * | SortType
| Sort type. More...
enum unsp__SortOrder * | SortDirection
| Standard sorting enumeration. More...

## Detailed Description

Query Rate Area request.

Used by unsp__queryRateArea()

## Member Data Documentation

## ◆ Group

xsd__int unsp__QueryRateAreaRequest::Group

Numeric identifier of the rate area group.

required: false
default value[range]: 0

## ◆ InterfaceWsdl

xsd__string unsp__QueryRateAreaRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ Lata

xsd__string unsp__QueryRateAreaRequest::Lata

Deprecated:
  NA

## ◆ LocalTollName

xsd__string unsp__QueryRateAreaRequest::LocalTollName

Name of associated Local Toll.

required: false

See also
  unsp__LocalTollName

## ◆ Name

xsd__string unsp__QueryRateAreaRequest::Name

Rate Area Name.

required: false

See also
  unsp__RateAreaName

## ◆ NodeVariant

enum unsp__NodeVariant unsp__QueryRateAreaRequest::NodeVariant

Deprecated:
  NA

## ◆ NpaNxx

xsd__string unsp__QueryRateAreaRequest::NpaNxx

Deprecated:
  NA

## ◆ OperatorId

xsd__string unsp__QueryRateAreaRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryRateAreaRequest::Paging

Standard paging structure.

required: false

## ◆ PointCode

xsd__int unsp__QueryRateAreaRequest::PointCode

Deprecated:
  NA

## ◆ QueryRateAreaType

enum unsp__QueryRateAreaType* unsp__QueryRateAreaRequest::QueryRateAreaType

Query type.

required: false

## ◆ SlhrName

xsd__string unsp__QueryRateAreaRequest::SlhrName

Deprecated:
  NA

## ◆ SortDirection

enum unsp__SortOrder* unsp__QueryRateAreaRequest::SortDirection

Standard sorting enumeration.

required: false

## ◆ SortType

enum unsp__RateAreaSortType* unsp__QueryRateAreaRequest::SortType

Sort type.

required: false

## ◆ Specific

xsd__boolean unsp__QueryRateAreaRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h